# Generated from gemmyrb-0.1.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gemmyrb

Name: rubygem-%{gem_name}
Version: 0.1.6
Release: 1%{?dist}
Summary: Some general ruby language utils, including a gem generator. See http://github.com/maxpleaner/gemmy for more detail
License: MIT
URL: http://github.com/maxpleaner/gemmy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
Some general ruby language utils, including a gem generator. See
http://github.com/maxpleaner/gemmy for more detail.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gemmy
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.6-1
- Initial package
